<?php

namespace HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros;

use HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros\Registro0000;

class Registro0100 extends Registro0000 {

    private $_nome;
    private $_cargo;
    private $_dtIni;
    private $_dtFim;
    private $_cnpj;
    private $_cpf;
    private $_fone;
    private $_fax;
    private $_email;

    public function geraRegistro0100(){
        $this->_geraRegistro(self::REGISTRO_0100);
    }

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoManad($tpRegistro);
        // Ordem 2
        $this->atribuiDadoManad($this->_nome);
        // Ordem 3
        $this->atribuiDadoManad($this->_cargo);
        // Ordem 4
        $this->atribuiDadoManad($this->_dtIni);
        // Ordem 5
        $this->atribuiDadoManad($this->_dtFim);
        // Ordem 6
        $this->atribuiDadoManad($this->_cnpj);
        // Ordem 7
        $this->atribuiDadoManad($this->_cpf);
        // Ordem 8
        $this->atribuiDadoManad($this->_fone);
        // Ordem 9
        $this->atribuiDadoManad($this->_fax);
        // Ordem 10
        $this->atribuiDadoManad($this->_email, true);
    }
    
    public function setNome($nome){
        $this->_nome = $nome;
    }
    public function setCargo($cargo){
        $this->_cargo = $cargo;
    }
    public function setDtIni($dtIni){
        $this->_dtIni = $dtIni;
    }
    public function setDtFim($dtFim){
        $this->_dtFim = $dtFim;
    }
    public function setCnpj($cnpj){
        $this->_cnpj = $cnpj;
    }
    public function setCpf($cpf){
        $this->_cpf = $cpf;
    }
    public function setFone($fone){
        $this->_fone = $fone;
    }
    public function setFax($fax){
        $this->_fax = $fax;
    }
    public function setEmail($email){
        $this->_email = $email;
    }
}