<?php

namespace HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros;

use HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros\Registro0000;

class RegistroK001 extends Registro0000 {

    private $_indmov = 0; //Indicador de movimento. 0-Bloco com dados informados, 1-Bloco sem dados informados.

    public function geraRegistroK001(){
        $this->_geraRegistro(self::REGISTRO_K001);
    }

    private function _geraRegistro($tpRegistro){
        var_dump('aqui _geraRegistro K001');
        // Ordem 1
        $this->atribuiDadoManad($tpRegistro);
        // Ordem 2
        $this->atribuiDadoManad($this->_indmov, true);
    }
    
    public function setIndMov($indmov){
        $this->_indmov = $indmov;
    }
}