<?php

namespace HCM\FPA\ObrigacaoLegal\Rais\Entities;

use HCM\FPA\ObrigacaoLegal\Rais\FormataMagnetico;

class Tipo09Base extends FormataMagnetico
{
    protected $sequencial;    //06,
    protected $cnpj;          //14,
    protected $prefixoUlt;    //02,
    protected $tipoRegistro;  //01,
    protected $numRegTipo01;  //06,
    protected $numRegTipo02;  //06,
    protected $espacos;       //516

    public function getRow()
    {
        try {
            $row = "";
            $lengths = array(
                'cnpj'          => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' => 14),
                'prefixoUlt'    => array('FORMATO' => FormataMagnetico::FORMATO_MAG_STRING, 'TAMANHO' =>  2),
                'tipoRegistro'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  1),
                'numRegTipo01'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  6),
                'numRegTipo02'  => array('FORMATO' => FormataMagnetico::FORMATO_MAG_NUMERICO, 'TAMANHO' =>  6),
                'espacos'       => array('FORMATO' => FormataMagnetico::FORMATO_MAG_STRING, 'TAMANHO' => 549)
            );

            foreach($lengths as $name=>$length){
                $row.=$this->setData($this->$name,$length);
            }

            return $row;
        } catch (\Exception $e) {
            throw $e;
        }
    }
} 